"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckboxIndicator = exports.classes = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const checkbox_indicator_module_scss_1 = __importDefault(require("./checkbox-indicator.module.scss"));
exports.classes = {
    checkedIndicator: checkbox_indicator_module_scss_1.default.checkedIndicator,
    defaultCheckbox: checkbox_indicator_module_scss_1.default.defaultCheckbox
};
/**
 * 'Vanilla' base component for checkbox indicator. Mirrors preceding checkbox.
 */
function CheckboxIndicator(props) {
    const { className = exports.classes.defaultCheckbox } = props;
    return react_1.default.createElement("span", Object.assign({}, props, { className: (0, classnames_1.default)(className, exports.classes.checkedIndicator) }));
}
exports.CheckboxIndicator = CheckboxIndicator;
//# sourceMappingURL=checkbox-indicator.js.map